Bug 2159396 - Review Request: perl-generators-epel - RPM Perl dependencies generators for EPEL
Summary: Review Request: perl-generators-epel - RPM Perl dependencies generators for EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-09 12:53 UTC by Jitka Plesnikova
Modified: 2023-01-21 04:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-19 10:01:09 UTC
Type: ---
Embargoed:
ppisar: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2023-01-09 12:53:25 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-generators-epel/perl-generators-epel.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-generators-epel/perl-generators-epel-1-1.el8.src.rpm
Description:
This package provides RPM Perl dependency generator which is used for
getting runtime requirement perl(:MODULE_COMPAT_XXX) or perl-libs based on
files which are in the package on EPEL.

Fedora Account System Username: jplesnik

It will be added only to EPEL 7/8/9

Comment 1 Jakub Kadlčík 2023-01-09 12:56:25 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/5208566
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2159396-perl-generators-epel/fedora-rawhide-x86_64/05208566-perl-generators-epel/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

Comment 2 Petr Pisar 2023-01-09 15:51:25 UTC
A standalone spec file and a spec file in the source package differ. The difference is not important for EPELs 7--9.

Summary is Ok.
Description is Ok.
TODO: I think a better English phrasing is "getting run-time requirements perl(:MODULE_COMPAT_XXX) and perl-libs".

FIX: Use an SPDX format for the License tag (GPL-1.0-or-later).

The run-time dependency on perl-macros is for %perl_version macro. Ok.
I'm not a Lua expert, but I think that "path:match('.+%.so$')" could be simplified to "path:match('%.so$')".

FIX: In perlcompat.req shell script you are missing double quotes in the test: '[ -z "$PERL_VERSION" ]'. If the variable contained a space you would get a syntax error:

$ sh ../SOURCES/perlcompat.req 'a b'
../SOURCES/perlcompat.req: line 3: [: a: binary operator expected
perl(:MODULE_COMPAT_a b)

Moreover the negated test can be simplified to 'if [ -n "$PERL_VERSION" ]; then'.

FIX: perlcompat.req is a POSIX shell script (#!/bin/sh). POSIX shell does not have a built-in "test" or "[" command. Either change the interpreter to /bin/bash, or run-require coreutils which provides "/usr/bin/[" tool. Because Fedora and RHEL have /bin/sh implemented with bash, I recommend changing the interpreter than adding a superfluous dependency.

$ rpmlint perl-generators-epel.spec ../SRPMS/perl-generators-epel-1-1.el9.src.rpm ../RPMS/noarch/perl-generators-epel-1-1.el9.noarch.rpm 
perl-generators-epel.spec: W: no-%prep-section
perl-generators-epel.spec: W: no-%build-section
perl-generators-epel.src: W: no-url-tag
perl-generators-epel.src: W: no-%prep-section
perl-generators-epel.src: W: no-%build-section
perl-generators-epel.noarch: W: no-url-tag
perl-generators-epel.noarch: W: only-non-binary-in-usr-lib
perl-generators-epel.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 8 warnings.
TODO: Set URL tag to <https://src.fedoraproject.org/rpms/perl-generators-epel>.

$ rpm -q -lv -p ../RPMS/noarch/perl-generators-epel-1-1.el9.noarch.rpm 
-rw-r--r--    1 root     root                      365 Jan  9 15:36 /usr/lib/rpm/fileattrs/perlcompat.attr
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-generators-epel-1-1.el9.noarch.rpm | sort -f | uniq -c
      1 perl-macros
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsZstd) <= 5.4.18-1
FIX: /usr/lib/rpm/fileattrs is owned by "rpm" package. Either run-require that, or own that directory.

$ rpm -q --provides -p ../RPMS/noarch/perl-generators-epel-1-1.el9.noarch.rpm | sort -f | uniq -c
      1 perl-generators-epel = 1-1.el9
Binary provides are Ok.

The package builds in EPEL9 (https://koji.fedoraproject.org/koji/taskinfo?taskID=95924829). Ok.

Functional tests: I confirmed that after installing that package perl-libs and perl(:MODULE_COMPAT_...) are correctly added to packages which install files into a standard Perl path.

Comment 3 Jitka Plesnikova 2023-01-10 07:25:31 UTC
https://pagure.io/releng/fedora-scm-requests/issue/50363

Comment 4 Fedora Admin user for bugzilla script actions 2023-01-10 14:33:09 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-generators-epel. You may commit to the branch "epel9" in about 10 minutes.

Comment 5 Jitka Plesnikova 2023-01-10 15:13:05 UTC
Thank you for the review and the repository.

Comment 6 Fedora Update System 2023-01-10 15:15:55 UTC
FEDORA-EPEL-2023-ac3b765070 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ac3b765070

Comment 7 Fedora Update System 2023-01-11 01:50:07 UTC
FEDORA-EPEL-2023-ac3b765070 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ac3b765070

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-01-11 07:55:07 UTC
FEDORA-EPEL-2023-607f852acd has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-607f852acd

Comment 9 Fedora Update System 2023-01-11 07:55:10 UTC
FEDORA-EPEL-2023-8b2d9dd2f1 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8b2d9dd2f1

Comment 10 Fedora Update System 2023-01-12 02:08:50 UTC
FEDORA-EPEL-2023-8b2d9dd2f1 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8b2d9dd2f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-01-12 02:25:52 UTC
FEDORA-EPEL-2023-607f852acd has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-607f852acd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-01-19 10:01:09 UTC
FEDORA-EPEL-2023-ac3b765070 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-01-20 00:44:01 UTC
FEDORA-EPEL-2023-8b2d9dd2f1 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-01-21 04:15:57 UTC
FEDORA-EPEL-2023-607f852acd has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.